Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007986TestLinkUsers and Rightspublic2017-06-22 14:542017-07-03 15:23
Reportertjosephine 
Assigned Tofman 
PrioritynormalSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS VersionWin 7
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2018 Q1) 
Summary0007986: Personal API key not visible anymore
DescriptionWith TestLink 1.9.15, the integration with Jenkins was ok.
After the upgrade to 1.9.16 + latest Fix package from 20170611, the integration with Jenkins is not working as expected.

When checking the configuration and the API access key in TestLink, I've noticed that the following sections are not visible:
- Personal password
- API interface
- Login history
Steps To Reproduce- Upgrade with TestLink 1.9.16 + latest fix package 20170611
- Log into TestLink as admin
- Select "My Settings"
- Check the button "Save" is not visible anymore and following sections are missing (Personal password, API interface, Login history)
Additional Information[IMG]http://i65.tinypic.com/fz69o5.png[/IMG] [^]
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserChrome v.58
PHP Version5.5.9
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon account_settings.png [^] (35,250 bytes) 2017-06-22 14:54

- Relationships
related to 0007983closedfman Dev Version : error during pt_BR strings.txt file 

-  Notes
(0026516)
fman (administrator)
2017-06-22 15:46

as workaround access to users table using a MySQL Client
(0026517)
Mr.Bricodage (updater)
2017-06-22 16:11

Side effect of the bug 0007983
Apply patch provided in ticket will fix your issue
(0026519)
tjosephine (reporter)
2017-06-22 17:29

Thanks. It is fixed now

- Issue History
Date Modified Username Field Change
2017-06-22 14:54 tjosephine New Issue
2017-06-22 14:54 tjosephine File Added: account_settings.png
2017-06-22 15:46 fman Note Added: 0026516
2017-06-22 16:11 Mr.Bricodage Note Added: 0026517
2017-06-22 17:29 tjosephine Note Added: 0026519
2017-06-26 20:41 Mr.Bricodage Relationship added related to 0007983
2017-07-03 15:23 fman QA Team - Task Workflow Status => READY FOR TESTING
2017-07-03 15:23 fman Status new => closed
2017-07-03 15:23 fman Assigned To => fman
2017-07-03 15:23 fman Resolution open => fixed
2017-07-03 15:23 fman Fixed in Version => 1.9.17 (2018 Q1)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker